--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: URL
  value: "'https://clearance.commsecure.com.au/cgi-bin/PSDirect'"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Currently Authorization and Capture is not implemented because capturing requires the original credit card information
  name: TRANSACTIONS
  value: "{         :purchase       => 'PURCHASE',         :authorization  => 'AUTHORISE',         :capture        => 'ADVICE',          :credit         => 'REFUND'"
- !ruby/object:RI::Constant 
  comment: 
  name: SUCCESS
  value: "'Accepted'"
- !ruby/object:RI::Constant 
  comment: 
  name: SUCCESS_MESSAGE
  value: "'The transaction was approved'"
full_name: ActiveMerchant::Billing::PaySecureGateway
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: purchase
name: PaySecureGateway
superclass: Gateway
